# Katabatic Documentation

# Katabatic - Routing Toolbox

List of all members | Public Member Functions
GCell::CompareByDensity Class Reference

GCell Density Comparison Functor. More...

Inherits binary_function< GCell *, GCell *, bool >.

## Public Member Functions

| CompareByDensity (unsigned int depth)

## Detailed Description

GCell Density Comparison Functor.

A comparison functor for GCell, compare by density on layer `depth`.

## Constructor & Destructor Documentation

## ◆ CompareByDensity()

CompareByDensity | ( | unsigned int | depth | ) |

Build a density comparator for GCells on layer `depth`.

The documentation for this class was generated from the following files:

- GCell.h
- GCell.cpp
- GCell.dox